Traktor Pro 3 Plus

Foksen
Foksen Member Posts: 2 Newcomer

Good afternoon guys,

I have been using Traktor for many years and I am addicted to the program and loyal to the native brand. I never had any problems. I have a 2009 macbook pro with yosemite and traktor pro 2 and audio 8+2 X1 MKII. This setup doesn't fail, it plays for hours and hours without giving up.

But I want to update, I want to upgrade to the Traktor Pro3 Plus. I wanted to know, how am I going to be able to play with the Traktor Pro 3 Plus with 4 channels and two X1 MKII on the new MacBook Pro with the Sonoma system. Any idea ?

Thank You

Comments

  • lord-carlos
    lord-carlos Member Posts: 2,065 Expert
    edited January 3

     I wanted to know, how am I going to be able to play with the Traktor Pro 3 Plus with 4 channels and two X1 MKII on the new MacBook Pro with the Sonoma system. Any idea ?

    mk2 hardware and latest traktor 3 pro version should work with Sonoma.

    Still need an audio interface and this is where it gets tricky. Audio 8 DJ is not supported with anything above Mac OS 10.14?

    https://support.native-instruments.com/hc/en-us/articles/360014900358-Compatibility-of-Native-Instruments-Products-on-macOS

    From this list the Audio 10 should still work.

    From macOS 10.15 and higher, the operability of some NI legacy hardware is terminated. This includes MASCHINE MK1, MASCHINE MIKRO MK1, AUDIO 2 / 4 / 8 DJ, TRAKTOR AUDIO 2 MK1, and TRAKTOR S2 / S4 / X1 MK1.

  • Ralex
    Ralex Member Posts: 1 Newcomer

    I have an Audio 10 and it is no longer being discovered by my mac, I suspect it might be because I updated to MacOS Sonoma 14.2. YIKES!

  • Foksen
    Foksen Member Posts: 2 Newcomer

    Exactly, that's the problem. I always need an audio card, but audio 8 is no longer supported. Audio 10 apparently doesn't work very well in Sonoma. Therefore,


    Native instruments, what is your solution for us to continue using your products and services? For those who want to use the X1 even if it's new?

Back To Top